Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
A gem to automate using CKEditor with Rails 3
branch: master

This branch is 9 commits ahead, 8 commits behind fesplugas:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
lib
vendor/assets/ckeditor/ckeditor
.gitignore
Gemfile
README.md
Rakefile
ckeditor-rails.gemspec

README.md

CKEditor Rails

CKEditor for Rails.

Note: Latest gem version uses CKEditor 3.6.1.

Rails 3.1

This gem vendors CKEditor 3.6.1 for Rails 3.1 and greater. The files will be added to the asset pipeline and available for you to use.

//= require ckeditor

You can also use it standalone in your views:

<%= javascript_include_tag 'ckeditor/ckeditor' %>

Important: It's important you define the CKEDITOR_BASEPATH global variable before you include the ckeditor code. This will make ckeditor work with the asset pipeline on production, otherwise you'll see a white screen where CKEditor should be shown. More info here.

<script type="text/javascript">
    var CKEDITOR_BASEPATH = '/ckeditor/';
</script>
<%= javascript_include_tag 'ckeditor/ckeditor' %>

As with this version, ckeditor-rails will try to detect your asset settings and create CKEDITOR_BASEPATH variable accordingly.

Installation

In a Rails 3.1 apps include ckeditor-rails in the Gemfile:

gem 'ckeditor-rails'

You're done!

License

CKEditor license.

Something went wrong with that request. Please try again.